PUT/schedule

Update Schedule

This endpoint enables you to update the existing configuration by using the scheduleId.
PUT/schedule

Parameter Details

NameInTypeRequiredDescription
» scheduleIdbodynumberRequiredSpecifies the ID of the schedule to be updated.
» scheduleNamebodystringRequiredSpecifies the name of the schedule.
» shopIdbodynumberRequiredSpecifies the shop ID to be scheduled.
» yearbodystringRequiredSpecifies the years for scheduling.
» monthbodystringRequiredSpecifies the months for scheduling.
» dayOfWeekbodystringOptionalSpecifies the days of the week.
» daybodystringRequiredSpecifies the days of the month.
» hourbodystringRequiredSpecifies the hour of the day (0-23) when the shop is triggered.
» minutebodystringRequiredSpecifies the minute (0-59) within the hour when the shop is triggered.
» startDatebodystring(date)RequiredSpecifies when the schedule should start.
» endDatebodystring(date)RequiredSpecifies when the schedule should end.

Responses

StatusMeaningDescriptionSchema
200OKSchedule updated successfully
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity ExpiredNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X PUT /schedule \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "scheduleId": 123,
  "scheduleName": "Updated Schedule",
  "shopId": 1,
  "year": "2025",
  "month": "1,2,3",
  "dayOfWeek": "*",
  "day": "1-5",
  "hour": "10",
  "minute": "30",
  "startDate": "2019-08-24",
  "endDate": "2019-08-24"
}

Example responses

200 Response
{
  "message": "Schedule Updated Successfully",
  "scheduleId": 123
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.